Batch by its number.
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/scroll/batches/{number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/scroll/batches/{number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/scroll/batches/{number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commitment_transaction": {
"block_number": 123,
"hash": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"confirmation_transaction": {
"block_number": 123,
"hash": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"data_availability": {},
"end_block_number": 123,
"number": 123,
"start_block_number": 123,
"transactions_count": 123
}{
"message": "Resource not found"
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}scroll
Batch by its number.
Retrieves batch info by the given number.
GET
/
{chain_id}
/
api
/
v2
/
scroll
/
batches
/
{number}
Batch by its number.
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Batch number in the path.
Pattern:
^-?([1-9][0-9]*|0)$The ID of the blockchain
Response
Batch info.
Scroll Batch struct.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I